package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.DmsLiveDetail;

/**
 * 住宿详情Service接口
 *
 * @author srs
 * @date 2024-02-22
 */
public interface IDmsLiveDetailService extends IService<DmsLiveDetail> {
    /**
     * 查询住宿详情
     *
     * @param id 住宿详情主键
     * @return 住宿详情
     */
    public DmsLiveDetail selectDmsLiveDetailById(Long id);

    /**
     * 查询住宿详情列表
     *
     * @param dmsLiveDetail 住宿详情
     * @return 住宿详情集合
     */
    List<DmsLiveDetail> selectDmsLiveDetailList(DmsLiveDetail dmsLiveDetail);

    /**
     * 新增住宿详情
     *
     * @param dmsLiveDetail 住宿详情
     * @return 结果
     */
    int insertDmsLiveDetail(DmsLiveDetail dmsLiveDetail);

    /**
     * 修改住宿详情
     *
     * @param dmsLiveDetail 住宿详情
     * @return 结果
     */
    int updateDmsLiveDetail(DmsLiveDetail dmsLiveDetail);

    /**
     * 批量删除住宿详情
     *
     * @param ids 需要删除的住宿详情主键集合
     * @return 结果
     */
    int deleteDmsLiveDetailByIds(Long[] ids);

    /**
     * 删除住宿详情信息
     *
     * @param id 住宿详情主键
     * @return 结果
     */
    int deleteDmsLiveDetailById(Long id);
}
